<template>
  <div class="page" :style="$q.screen.lt.sm ? 'max-width: ' + $q.screen.width + 'px;' : ''">
    <q-tabs
      v-model="tab"
      class="text-primary"
      inline-label
      outside-arrows
      mobile-arrows
    >
      <q-tab
        v-for="(job, id) in jobs"
        :key="id"
        :name="id"
        :label="reference(job.title)"
        no-caps
        @click="chooseJob(job)"
      />
    </q-tabs>
  </div>
</template>

<script>

import { ref } from 'vue';

export default
{
  name: 'JobsList',
  emits: ['job'],
  props:
  {
    jobs:
    {
      type: Array,
      default: () =>
      {
      }
    },
    jobId:
    {
      type: Number,
      default: 0
    }
  },
  setup()
  {
    return {
      tab: ref(0)
    };
  },
  data()
  {
    return {
      apply: false,
    };
  },
  watch:
  {
    jobId(newVal, oldVal)
    {
      this.tab = newVal;
    }
  },
  created()
  {
    this.tab = this.jobId;
  },
  methods:
  {
    chooseJob(job)
    {
      this.apply = true;
      this.$emit('job', job);
    },
    reference(title)
    {
      const words = title.split(' ');
      return words[0];
    }
  }

};
</script>
